[PVE-User] In-Place Upgrade to 2.0

Hart, Brian R. brianhart at ou.edu
Tue Apr 3 16:23:19 CEST 2012


Hi All,

We use an iSCSI SAN for our VMs.  The SAN uses multipath so we setup LVM on top of that.  We haven't moved or worked on our production setup yet, but have duplicated it in a test environment.  When we did an in-place upgrade from 1.9 to 2.0 it seems LVM wasn't able to see the multipath'd devices anymore in /dev/mapper/.  I have messed around with the lvm.conf trying to get it to detect those devices but have had no luck.  The /dev/mapper devices are the aliased mpath devices so we have a useful name on the devices.  I did find that if I told LVM to scan /dev/dm-* devices that I could make it work as the multipath'd SAN showed up in those devices as well.  So that would make it work.

My point is two things – the upgrade script breaks this type of setup (which may be an uncommon setup, dunno) and the above fix seems to recover it.  If anybody knows why it breaks it or how to make it use the /dev/mapper devices that would be cool but mostly I wanted to share this in case anybody either had any thoughts or at the very least to help anybody else that comes across the same issue.

HTH — Thanks!

--
Brian Hart

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://pve.proxmox.com/pipermail/pve-user/attachments/20120403/a6363008/attachment-0013.html>


More information about the pve-user mailing list